List of timesheets

Retrieve a list of timesheets in your Deel account. You can filter the list by providing additional paramters e.g. contract_id, contract_type etc. Token scopes: timesheets:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

contract_idstringOptional
Id of an Deel contract.
contract_typeslist of enums or enumOptional
types of contracts to filter
statuseslist of enums or enumOptional
reporter_idstringOptionalformat: "uuid"
date_fromstringOptionalformat: "date"
date_tostringOptionalformat: "date"
limitstringOptionalformat: "^[0-9]+$"
offsetstringOptionalformat: "^[0-9]+$"

Response

Successful operation.
datalist of objects
pageobject

Errors